unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, SMEEngine, SMEEngSG, ExportDS, SME2Cell, SME2XLS;

type
  TfrmMain = class(TForm)
    sg: TStringGrid;
    btnFill: TButton;
    btnExport: TButton;
    SMExportToXLS: TSMExportToXLS;
    SMEStringGridDataEngine: TSMEStringGridDataEngine;
    procedure btnFillClick(Sender: TObject);
    procedure btnExportClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.btnFillClick(Sender: TObject);
var
  i, j: Integer;
begin
  sg.RowCount := Random(100)+5;
  sg.ColCount := Random(100)+5;

  for i := 0 to sg.RowCount-1 do
    for j := 0 to sg.ColCount-1 do
      sg.Cells[j, i] := IntToStr(Random(1000))
end;

procedure TfrmMain.btnExportClick(Sender: TObject);
begin
  SMExportToXLS.Execute
end;

end.
